#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = OpenStepExtensions

PROJECTVERSION = 2.8
PROJECT_TYPE = Component

CLASSES = NSArray-OFExtensions.m NSAttributedString-OFExtensions.m\
          NSCalendarDate-OFExtensions.m NSData-OFExtensions.m\
          NSDate-OFExtensions.m NSDictionary-OFExtensions.m\
          NSException-OFExtensions.m NSFileManager-OFExtensions.m\
          NSHost-OFExtensions.m NSInvocation-OFExtensions.m\
          NSMutableArray-OFExtensions.m NSMutableData-OFExtensions.m\
          NSMutableDictionary-OFExtensions.m\
          NSMutableString-OFExtensions.m\
          NSNotificationCenter-OFExtensions.m\
          NSNotificationQueue-OFExtensions.m NSNumber-OFExtensions.m\
          NSObject-OFExtensions.m NSProcessInfo-OFExtensions.m\
          NSScanner-OFExtensions.m NSString-OFExtensions.m\
          NSThread-OFExtensions.m

HFILES = NSArray-OFExtensions.h NSAttributedString-OFExtensions.h\
         NSCalendarDate-OFExtensions.h NSData-OFExtensions.h\
         NSDate-OFExtensions.h NSDebug-OFExtensions.h\
         NSDictionary-OFExtensions.h NSException-OFExtensions.h\
         NSFileManager-OFExtensions.h NSHost-OFExtensions.h\
         NSInvocation-OFExtensions.h NSMutableArray-OFExtensions.h\
         NSMutableData-OFExtensions.h NSMutableDictionary-OFExtensions.h\
         NSMutableString-OFExtensions.h\
         NSNotificationCenter-OFExtensions.h\
         NSNotificationQueue-OFExtensions.h NSNumber-OFExtensions.h\
         NSObject-OFExtensions.h NSProcessInfo-OFExtensions.h\
         NSScanner-OFExtensions.h NSString-OFExtensions.h\
         NSThread-OFExtensions.h sha1.h

CFILES = sha1.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble


MAKEFILEDIR = $(NEXT_ROOT)/NextDeveloper/Makefiles/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


PUBLIC_HEADERS = NSArray-OFExtensions.h NSAttributedString-OFExtensions.h\
                 NSCalendarDate-OFExtensions.h NSData-OFExtensions.h\
                 NSDate-OFExtensions.h NSDebug-OFExtensions.h\
                 NSDictionary-OFExtensions.h NSException-OFExtensions.h\
                 NSFileManager-OFExtensions.h NSHost-OFExtensions.h\
                 NSInvocation-OFExtensions.h\
                 NSMutableArray-OFExtensions.h\
                 NSMutableData-OFExtensions.h\
                 NSMutableDictionary-OFExtensions.h\
                 NSMutableString-OFExtensions.h NSNumber-OFExtensions.h\
                 NSObject-OFExtensions.h NSProcessInfo-OFExtensions.h\
                 NSScanner-OFExtensions.h NSString-OFExtensions.h\
                 NSThread-OFExtensions.h\
                 NSNotificationQueue-OFExtensions.h\
                 NSNotificationCenter-OFExtensions.h

PROJECT_HEADERS = sha1.h



NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
